SplStack::__construct
SplQueue
SplStack
PHP Manual

# SplStack::setIteratorMode

(PHP 5 >= 5.3.0)

SplStack::setIteratorMode — Sets the mode of iteration

### Description

void SplStack::setIteratorMode ( int `$mode` )

### Parameters

`mode`

  There is only one iteration parameter you can modify.

  - The behavior of the iterator (either one or the other):
    - SplDoublyLinkedList::IT_MODE_DELETE (Elements are deleted by the iterator)
    - SplDoublyLinkedList::IT_MODE_KEEP (Elements are traversed by the iterator)

  The default mode is 0x2 : SplDoublyLinkedList::IT_MODE_LIFO | SplDoublyLinkedList::IT_MODE_KEEP

  Warning

  The direction of iteration can no longer be changed for SplStacks. Trying to do so will result in a RuntimeException being thrown.

### Return Values

No value is returned.

SplStack::__construct
SplQueue
SplStack
PHP Manual